Metafunction
DefaultGetIteratorSpec
Specifies default kind of iterator returned by functions.
DefaultGetIteratorSpec<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Container type for which the spec is determined. Types: ContainerConcept: Gaps, ModifiedString, String

Remarks
This metafunction returns the iterator spec of iterators that are returned by functions like begin, end, or iter.
Return Values

Type | Iterator spec of T.

Part of Concept
ContainerConcept
See Also
DefaultIteratorSpec, Iterator
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:59